summaryrefslogtreecommitdiffstats
path: root/source/a/util-linux
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/util-linux')
-rw-r--r--source/a/util-linux/partx.data.type.diff11
-rwxr-xr-xsource/a/util-linux/util-linux.SlackBuild8
2 files changed, 17 insertions, 2 deletions
diff --git a/source/a/util-linux/partx.data.type.diff b/source/a/util-linux/partx.data.type.diff
new file mode 100644
index 000000000..9811c0bda
--- /dev/null
+++ b/source/a/util-linux/partx.data.type.diff
@@ -0,0 +1,11 @@
+--- ./partx/partx.h.orig 2012-05-25 04:44:58.994195443 -0500
++++ ./partx/partx.h 2013-08-07 21:06:30.899997659 -0500
+@@ -23,7 +23,7 @@
+ }
+
+ static inline int partx_add_partition(int fd, int partno,
+- unsigned long start, unsigned long size)
++ long long start, long long size)
+ {
+ struct blkpg_ioctl_arg a;
+ struct blkpg_partition p;
diff --git a/source/a/util-linux/util-linux.SlackBuild b/source/a/util-linux/util-linux.SlackBuild
index 1fa74c832..b348d83eb 100755
--- a/source/a/util-linux/util-linux.SlackBuild
+++ b/source/a/util-linux/util-linux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# Slackware build script for util-linux
VERSION=${VERSION:-$(echo util-linux*.tar.?z* | cut -d - -f 3 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
ADJTIMEXVERS=1.29
SETSERIALVERS=2.17
@@ -95,6 +95,10 @@ zcat $CWD/0002-fdisk-don-t-ignore-1MiB-granularity-on-512-byte-sect.patch.gz | p
# 20120814 bkw: fix "column --separator <anything>" segfault
zcat $CWD/column-fix_long_opts.diff.gz | patch -p1 --verbose || exit 1
+# Fix data type in partx to prevent silently truncating partition sizes and
+# offsets to 4GB on 32-bit platforms:
+zcat $CWD/partx.data.type.diff.gz | patch -p1 --verbose || exit 1
+
# Regenerate, since patch 0001 hits mount/Makefile.am:
./autogen.sh